varying vec4 v_color;
varying vec2 v_texCoord;

uniform sampler2D u_texture;

void main() 
{
	vec4 tex = texture2D(u_texture, v_texCoord);

	// Pre-multiply alpha - remove this when artists have re-exported the textures
	//tex.rgb *= tex.a;	
	
	gl_FragColor = v_color * tex;
}