
varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;

const lowp float alphaThreshold = 0.6;

void main() {
	lowp vec4 texColor = texture2D(u_texture, v_texCoord);
	lowp float alphaThresholdTest = step(alphaThreshold, texColor.a);
	gl_FragColor.rgb = mix(texColor.rgb, v_color.rgb, alphaThresholdTest);
	gl_FragColor.a = texColor.a;
}
