
varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;

uniform lowp vec4 u_texAtlas;
uniform lowp vec4 u_tiling;
uniform lowp vec4 u_offset;

void main() {
    vec2 phase = fract(u_offset.xy+u_tiling.xy*(v_texCoord-u_texAtlas.xy)/u_texAtlas.zw);
	gl_FragColor = v_color * texture2D(u_texture, phase*u_texAtlas.zw+u_texAtlas.xy);
}
